Bug 179242 - freqz() function does not work for FIR filters
Summary: freqz() function does not work for FIR filters
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: octave   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Quentin Spencer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-28 21:19 UTC by Piergiorgio Sartor
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-30 19:30:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Replacement for the existing file /usr/share/octave/2.1.72/m/signal/freqz.m (5.11 KB, text/plain)
2006-01-30 19:26 UTC, Quentin Spencer
no flags Details

Description Piergiorgio Sartor 2006-01-28 21:19:35 UTC
Description of problem:
feqz() should plot frequency and phase response of a filter
described by its coefficients.
In case of IIR filters, two sets of vectors are given, "b" and "a".
freqz(b,a) plots correctly the response.
In case of FIR filters only the "b" vector is give, but freqz(b) fails.
The help page explain this should be possible (and it was in the past).

Version-Release number of selected component (if applicable):
2.1.72-1.fc4

How reproducible:
Always reproducible, by simply trying to plot the
freq and phase response of zero only filters.

Steps to Reproduce:
1.
# any filter design
# this could be also something like: [b,a]=ellip(7, 0.1, 60);
b=remez(10, [0 1], [1 0]);

2.
freqz(b);

3.
  
Actual results:
error: quotient: nonconformant arguments (op1 is 1x512, op2 is 512x1)
error: evaluating binary operator `./' near line 141, column 10
error: evaluating assignment expression near line 141, column 5
error: called from `freqz' in file `/usr/share/octave/2.1.72/m/signal/freqz.m'

Expected results:
The usual plot of frequency and phase response.

Additional info:

Comment 1 Quentin Spencer 2006-01-30 19:26:28 UTC
Created attachment 123876 [details]
Replacement for the existing file /usr/share/octave/2.1.72/m/signal/freqz.m

Comment 2 Quentin Spencer 2006-01-30 19:30:06 UTC
This bug was apparently introduced in the 2.1.71 release, and has already been
fixed in the CVS octave sources. This will be fixed in the next release. If you
need this fixed right now, I have attached the fixed freqz.m file, which you can
manually copy to the correct location or into your octave path.


Note You need to log in before you can comment on or make changes to this bug.